using System;

namespace burh
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string s1 = s.Substring(1);
            string s2 = s.Substring(1,1);
            s = Console.ReadLine();
            string[] burh = s.Split();
            int burh1 = int.Parse(burh[0]);
            int burh2 = int.Parse(burh[1]);
            if(Math.Abs(burh1-burh2)>1)Console.WriteLine("nemoguce");
            else{
                if(burh1 > burh2){
                    for(int i = 0;i<burh2;i++)Console.Write(s1 + s2);
                    Console.Write(s1);
                    Console.WriteLine();
                }
                else if (burh1==burh2){
                    for(int i = 0;i<burh2;i++)Console.Write(s1 + s2);
                    Console.WriteLine();
                }
                else{
                    for(int i = 0;i<burh1;i++)Console.Write(s2 + s1);
                    Console.Write(s2);
                    Console.WriteLine();
                }
            }
        }
    }
}